I'm not seeing any reason why they wouldn't be, but I'm asking to find anything that may be unforeseen.

1.1.2>1.1.1>1.0.2 all apps backwards compatible with all firmware listed, right?

I'm thinking about taking my second (backup) phone back to 1.0.2 just for kicks since there are a few of the early programs that still don't grind with the newer updated firmware.